﻿
@Imports Sorting.Sorting.Models
@ModelType IEnumerable(Of Student)
@Code
    Layout = "~/Views/Shared/_Layout.vbhtml"
End Code

@code   
    Dim gridbuilder = Html.Syncfusion.Grid(Of Student)("GenericListGrid").Datasource(Model)
    gridbuilder.Datasource(Model)
    'add grid columns using gridbuilder 
    gridbuilder.Column(Function(cols) cols.Add(Of Long)(Function(c As Student) c.UniversityCode).HeaderText("University Code").Width(130))
    gridbuilder.Column(Function(cols) cols.Add(Of System.Nullable(Of Date))(Function(c As Student) c.BirthDate).HeaderText("BirthDate").Width(130))
    gridbuilder.Column(Function(cols) cols.Add(Of String)(Function(c As Student) c.FirstName).HeaderText("FirstName").Width(130))
    gridbuilder.Column(Function(cols) cols.Add(Of String)(Function(c As Student) c.LastName).HeaderText("LastName").Width(120))
    gridbuilder.Caption("Student Details")
    gridbuilder.ShowCaption(true)
    gridbuilder.EnablePaging()    'Paging Enabled
    'gridbuilder.EnableSorting()    'Sorting Enabled"
    gridbuilder.SortSettings(Sub(sort)
                                     sort.AllowMultiSorting(True)
                                     sort.SortDescriptors(Sub(cols)
                                                                  Dim tempSortDesc As New SortDescriptor
                                                                  tempSortDesc.ColumnName = "FirstName"
                                                                  tempSortDesc.SortDirection = ComponentModel.ListSortDirection.Ascending
                                                                  cols.Add(tempSortDesc)
                                                          End Sub)
                             End Sub)
    'gridbuilder.Mappers(Function(map)
    '                           map.Action("GridFeatures")
    '                   End Function)
    gridbuilder.Render()
End Code
